Bug#927356: qtltools: Please stop building on any-i386

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Bug#927356: qtltools: Please stop building on any-i386

James Clarke-2
Package: qtltools
Version: 1.1+dfsg-3
Severity: serious

Hi,
This package uses htslib, which is no longer supported on any-i386. #914991
removed the binaries on any-i386, but until any-i386 is removed from
Architecture:, wanna-build will re-build the package, thereby reinstating the
binaries on any-i386. Please upload a new version of the source package with
any-i386 removed from Architecture: for this binary package.

Regards,
James

Reply | Threaded
Open this post in threaded view
|

Bug#927356: marked as done (qtltools: Please stop building on any-i386)

Debian Bug Tracking System
Your message dated Fri, 19 Apr 2019 00:33:26 +0200
with message-id <[hidden email]>
and subject line Re: augustus: Please stop building on any-i386
has caused the Debian Bug report #927356,
regarding qtltools: Please stop building on any-i386
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact [hidden email]
immediately.)


--
927356: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=927356
Debian Bug Tracking System
Contact [hidden email] with problems

Package: qtltools
Version: 1.1+dfsg-3
Severity: serious

Hi,
This package uses htslib, which is no longer supported on any-i386. #914991
removed the binaries on any-i386, but until any-i386 is removed from
Architecture:, wanna-build will re-build the package, thereby reinstating the
binaries on any-i386. Please upload a new version of the source package with
any-i386 removed from Architecture: for this binary package.

Regards,
James

Hi James,

On Thu, Apr 18, 2019 at 01:25:59PM +0100, James Clarke wrote:
> This package uses htslib, which is no longer supported on any-i386. #914991
> removed the binaries on any-i386, but until any-i386 is removed from
> Architecture:, wanna-build will re-build the package, thereby reinstating the
> binaries on any-i386. Please upload a new version of the source package with
> any-i386 removed from Architecture: for this binary package.

As these packages all build-depend on libhts-dev, there is no change needed in
these packages. Once libhts-dev is no longer built on any-i386, the binaries
can be removed and the packages will not get rebuilt, because the
build-dependencies are not installable.

Sorry for not spotting this earlier (during the irc discussion).

Thanks,

Ivo